%global momorel 8
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 4m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: KDE configuration for synaptics module
Name: ksynaptics
Version: 0.3.3
Release: %{momorel}m%{?dist}
License: GPL
URL: http://qsynaptics.sourceforge.net/
Group: Applications/System
Source0: http://qsynaptics.sourceforge.net/%{name}-%{version}.tar.bz2 
NoSource: 0
Patch0: %{name}-%{version}-autostart-false.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
Requires: xorg-x11-drv-synaptics
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: libsynaptics-devel
BuildPreReq: gettext
BuildPreReq: desktop-file-utils

%description
KSynaptics (previously QSynaptics) is a Qt/KDE based configuration
utility for the synaptics touchpad drivers. 

%prep
%setup -q

%patch0 -p1 -b .disable-autostart-at-default

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INDEX INSTALL README TODO
%{_bindir}/syndock
%{_libdir}/kde3/kcm_ksynaptics.la
%{_libdir}/kde3/kcm_ksynaptics.so
%{_libdir}/kde3/syndock.la
%{_libdir}/kde3/syndock.so
%{_libdir}/libkdeinit_syndock.la
%{_libdir}/libkdeinit_syndock.so
%{_datadir}/applications/kde/ksynaptics.desktop
%{_datadir}/autostart/syndock.desktop
%{_datadir}/config.kcfg/kcm_ksynaptics.kcfg
%{_datadir}/icons/*/*/*/ksynaptics.png
%{_datadir}/icons/*/*/*/syndockdisabled.png
%{_datadir}/locale/*/LC_MESSAGES/kcmksynaptics.mo

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.3-8m)
- rebuild against rpm-4.6

* Sat Oct 11 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.3-7m)
- change Requires from synaptics to xorg-x11-drv-synaptics

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.3-6m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.3-5m)
- rebuild against gcc43

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.3-4m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.3-3m)
- %%NoSource -> NoSource

* Tue Mar 20 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.3-2m)
- add autostart-false.patch

* Tue Mar 20 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.3-1m)
- initial package for Momonga Linux
